SBUILD-UPDATE(1)

NAME
sbuild-update - update, upgrade, and clean an sbuild chroot with apt-get

SYNOPSIS
sbuild-update [-h|--help] [-V|--version] [--arch=architecture] [-u|--update] [-g|--upgrade] [-d|--dist-upgrade] [-c|--clean] [-a|--autoclean] [-r|--autoremove] CHROOT1 [CHROOT2 [CHROOTn...]]
sbuild-update -k|--keygen
(DEPRECATED) sbuild-upgrade [-h|--help] [-V|--version] CHROOT1 [CHROOT2 [CHROOTn...]]
(DEPRECATED) sbuild-distupgrade [-h|--help] [-V|--version] CHROOT1 [CHROOT2 [CHROOTn...]]
(DEPRECATED) sbuild-clean [-h|--help] [-V|--version] [-c|--clean] [-a|--autoclean] [-r|--autoremove] CHROOT1 [CHROOT2 [CHROOTn...]]

DESCRIPTION
sbuild-update runs apt-get inside the specified chroot performing update, upgrade, dist-upgrade, clean, autoclean, and/or autoremove depending on the options specified on the command line.

sbuild-upgrade, sbuild-distupgrade, and sbuild-clean, are deprecated. They now simply run sbuild-update with the appropriate options (--upgrade or --dist-upgrade for sbuild-upgrade or sbuild-distupgrade respectively) along with whatever arguments were passed in the scripts.

OPTIONS

  Actions

-h, --help
    Display this manual.

-V, --version
    Print version information.

--arch=architecture
    Update chroot for the architecture specified.

-u, --update
    Perform an apt-get update.

-g, --upgrade
    Perform an apt-get upgrade.

-d, --dist-upgrade
    Perform an apt-get dist-upgrade.

-c, --clean
    Perform an apt-get clean.

-a, --autoclean
    Perform an apt-get autoclean.

-r, --autoremove
    Perform an apt-get autoremove.

-k, --keygen
    Generate a GPG public/private key pair for self-signing local apt archives, used for installation of dependency packages. Note that this requires a significant amount of entropy (randomness) and may hang on systems with poor entropy sources, such as headless systems without direct user input. In this situation, it is advisable to create the key on a trusted local system, and copy the files to the build system by hand from /var/lib/sbuild/apt-keys/.

  Chroot selection

CHROOT
    The chroot to use. Note that ‘o’, ‘s’, ‘t’, ‘u’ and ‘e’ may be used as abbreviations for ‘oldstable’, ‘stable’, ‘testing’, ‘unstable’ and ‘experimental’, respectively.

EXAMPLES
To update the unstable chroot:

% sbuild-update --update unstable

To upgrade the unstable chroot:

% sbuild-update --upgrade unstable

To clean the unstable chroot:

% sbuild-update --clean unstable

To perform an update, dist-upgrade, clean, autoclean, and autoremove for the unstable chroot:

% sbuild-update -udcar unstable

AUTHORS
Roger Leigh.
Andres Mejia.

COPYRIGHT
Copyright © 2006–2009 Roger Leigh <rleigh@debian.org>.
Copyright © 2010 Andres Mejia <mcitadel@gmail.com>.

SEE ALSO
sbuild(1), sbuild-apt(1),